const canvas = document.createElement('canvas')
const ctx = canvas.getContext('2d')

// Resize the canvas when window is resized
canvas.resizeWorkspace = function () {
  canvas.width = window.innerWidth
  canvas.height = window.innerHeight
}

window.addEventListener('resize', canvas.resizeWorkspace, false)

// Add elements to the document
document.body.appendChild(canvas)

canvas.resizeWorkspace()

export { canvas, ctx }
